import { NotificationsPopover } from '@kit/notifications/components';
import { featureFlagsConfig } from '@kit/shared/config';

export function TeamAccountNotifications(params: {
  userId: string;
  accountId: string;
}) {
  if (!featureFlagsConfig.enableNotifications) {
    return null;
  }

  return (
    <NotificationsPopover
      accountIds={[params.userId, params.accountId]}
      realtime={featureFlagsConfig.realtimeNotifications}
    />
  );
}
